0 Replies Latest reply: Jun 18, 2015 12:24 PM by jptrenner RSS

    MacBook Pro 2.4 driver

    jptrenner
    Visibility: Open to anyone

      I have a MacBook Pro 2.4ghz with OS X Yosemite 10.10.3. I cannot download the new driver cause it's says minimum requirement 2.8ghz. This computer worked fine for five years till new driver came along. Anything I can do besides buy new MacBook Pro?